Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cmp
Class KeyRecoveryResponse

`java.lang.Object
oracle.security.crypto.cmp.PKIMessageBody
oracle.security.crypto.cmp.KeyRecoveryResponse`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public class KeyRecoveryResponse
extends PKIMessageBody

PKI message body of type Key Recovery Response.

Nested Class Summary

Nested classes inherited from class oracle.security.crypto.cmp.PKIMessageBody
`PKIMessageBody.Type`

Constructor Summary
`KeyRecoveryResponse()` Create a new, empty `KeyRecoveryResponse` message body.
`KeyRecoveryResponse(java.io.InputStream is)`
`KeyRecoveryResponse(PKIStatusInfo status)` Create a new `KeyRecoveryResponse` with the given `PKIStatusInfo`.
`KeyRecoveryResponse(PKIStatusInfo status, oracle.security.crypto.cert.X509 newSigCert)` Create a new `KeyRecoveryResponse` with the given `PKIStatusInfo` and new certificate.

Method Summary
`void` | `addCACert(oracle.security.crypto.cert.X509 cert)` Add a CA certificate to this message body.
`void` | `addCertifiedKeyPair(CertifiedKeyPair keyPair)` Add a `CertifiedKeyPair` to the key pair history for this response message body.
`java.util.Vector` | `getCACerts()` Get the set of CA certificates included in this message.
`java.util.Vector` | `getKeyPairHistory()` Get the key pair history for this response.
`oracle.security.crypto.cert.X509` | `getNewSigCert()` Get the new certificate in this response message body.
`PKIStatusInfo` | `getStatus()` Get the status info for this message.
`PKIMessageBody.Type` | `getType()` Returns one of the values defined in `PKIMessageBody.Type`.
`void` | `input(java.io.InputStream is)` Initializes this object by reading its encoding from the given input stream.
`java.lang.String` | `toString()`

Methods inherited from class oracle.security.crypto.cmp.PKIMessageBody
`inputInstance, length, output`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### KeyRecoveryResponse

    public KeyRecoveryResponse()

  Create a new, empty `KeyRecoveryResponse` message body. Since such an object is not valid, this constructor is intended primarily for use with the `input(java.io.InputStream)` method.

### KeyRecoveryResponse

    public KeyRecoveryResponse(PKIStatusInfo status)

  Create a new `KeyRecoveryResponse` with the given `PKIStatusInfo`.

### KeyRecoveryResponse

    public KeyRecoveryResponse(PKIStatusInfo status,
                               oracle.security.crypto.cert.X509 newSigCert)

  Create a new `KeyRecoveryResponse` with the given `PKIStatusInfo` and new certificate.

### KeyRecoveryResponse

    public KeyRecoveryResponse(java.io.InputStream is)
                        throws java.io.IOException

Method Detail

### addCACert

    public void addCACert(oracle.security.crypto.cert.X509 cert)

  Add a CA certificate to this message body.

### addCertifiedKeyPair

    public void addCertifiedKeyPair(CertifiedKeyPair keyPair)

  Add a `CertifiedKeyPair` to the key pair history for this response message body.

### getStatus

    public PKIStatusInfo getStatus()

  Get the status info for this message.

### getNewSigCert

    public oracle.security.crypto.cert.X509 getNewSigCert()

  Get the new certificate in this response message body.

### getCACerts

    public java.util.Vector getCACerts()

  Get the set of CA certificates included in this message.
  Returns:
    a `Vector` of `X509`, if any, otherwise `null`.

### getKeyPairHistory

    public java.util.Vector getKeyPairHistory()

  Get the key pair history for this response.
  Returns:
    a `Vector` of `CertifiedKeyPair`, if any, otherwise `null`.

### getType

    public PKIMessageBody.Type getType()

  Description copied from class: `PKIMessageBody`
  Returns one of the values defined in `PKIMessageBody.Type`.
  Specified by:
    `getType` in class `PKIMessageBody`

### toString

    public java.lang.String toString()

### input

    public void input(java.io.InputStream is)
               throws java.io.IOException

  Initializes this object by reading its encoding from the given input stream.
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.